Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pentaho.di.core.fileinput
Enum FileInputList.FileTypeFilter

    java.lang.Object
      java.lang.Enum<FileInputList.FileTypeFilter>
          org.pentaho.di.core.fileinput.FileInputList.FileTypeFilter

All Implemented Interfaces:
  Serializable, Comparable<FileInputList.FileTypeFilter>

Enclosing class:
  FileInputList

    public static enum FileInputList.FileTypeFilter

extends Enum<FileInputList.FileTypeFilter>

Enum Constant Summary
`FILES_AND_FOLDERS`
`ONLY_FILES`
`ONLY_FOLDERS`

Method Summary
`static FileInputList.FileTypeFilter` | `getByName(String name)`
`static FileInputList.FileTypeFilter` | `getByOrdinal(int ordinal)`
`boolean` | `isFileTypeAllowed(org.apache.commons.vfs.FileType fileType)`
`String` | `toString()`
`static FileInputList.FileTypeFilter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileInputList.FileTypeFilter[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FILES_AND_FOLDERS

    public static final FileInputList.FileTypeFilter FILES_AND_FOLDERS

### ONLY_FILES

    public static final FileInputList.FileTypeFilter ONLY_FILES

### ONLY_FOLDERS

    public static final FileInputList.FileTypeFilter ONLY_FOLDERS

Method Detail

### values

    public static final FileInputList.FileTypeFilter[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FileInputList.FileTypeFilter c : FileInputList.FileTypeFilter.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FileInputList.FileTypeFilter valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### isFileTypeAllowed

    public boolean isFileTypeAllowed(org.apache.commons.vfs.FileType fileType)

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<FileInputList.FileTypeFilter>`

### getByOrdinal

    public static FileInputList.FileTypeFilter getByOrdinal(int ordinal)

### getByName

    public static FileInputList.FileTypeFilter getByName(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD